## plasma-widget-flickr 0.4

=== CMakeLists.txt ===
project(plasma-flickrop)
 
# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

if ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
  find_package(Plasma REQUIRED)
else ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
  set( PLASMA_LIBS ${KDE4_PLASMA_LIBS} )
endif ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

add_subdirectory(applet)
add_subdirectory(engine)

=== applet/CMakeLists.txt ===
# We add our source code here
set(flickrop_SRCS flickrop.cpp clusterdialog.cpp photosetdialog.cpp)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_flickrop ${flickrop_SRCS})
target_link_libraries(plasma_applet_flickrop 
                      ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
 
install(TARGETS plasma_applet_flickrop
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-flickrop.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== engine/CMakeLists.txt ===
# We add our source code here
set(flickrop_engine_SRCS flickr_engine.cpp)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_engine_flickrop ${flickrop_engine_SRCS})
target_link_libraries(plasma_engine_flickrop 
                      ${PLASMA_LIBS} ${KDE4_KIO_LIBS})
 
install(TARGETS plasma_engine_flickrop
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-dataengine-flickrop.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-widget-flickr 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,19 @@
 project(plasma-flickrop)
- 
+
 # Find the required Libaries
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
+
+if ( NOT WITHOUT_MARBLE )
+  find_package(Marble)
+endif ( NOT WITHOUT_MARBLE )
 
 if ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
   find_package(Plasma REQUIRED)
 else ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
   set( PLASMA_LIBS ${KDE4_PLASMA_LIBS} )
 endif ( ${KDE_VERSION} VERSION_LESS "4.1.90" )
- 
+
 add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
 include_directories(
    ${CMAKE_SOURCE_DIR}

## plasma-widget-flickr 0.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,3 +23,4 @@
 
 add_subdirectory(applet)
 add_subdirectory(engine)
+add_subdirectory(po)

=== applet/CMakeLists.txt ===
# We add our source code here
set(flickrop_SRCS flickrop.cpp clusterdialog.cpp photosetdialog.cpp locationdialog.cpp)
set(flickrop_LIBS ${PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} )

if ( MARBLE_FOUND ) # FIXME
  include_directories( ${MARBLE_INCLUDE_DIR} )
  add_definitions( -DWITH_MARBLE )
  set( flickrop_SRCS ${flickrop_SRCS} marbledialog.cpp )
  set( flickrop_LIBS ${flickrop_LIBS} ${MARBLE_LIBRARIES} )
else( MARBLE_FOUND )
  set( flickrop_SRCS ${flickrop_SRCS} coordinatedialog.cpp )
endif( MARBLE_FOUND )

kde4_add_ui_files( flickrop_SRCS generalsettings.ui streamsettings.ui authenticationsettings.ui )
# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_flickrop ${flickrop_SRCS})

target_link_libraries( plasma_applet_flickrop ${flickrop_LIBS} )

install(TARGETS plasma_applet_flickrop
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-flickrop.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== engine/CMakeLists.txt ===
# We add our source code here
set(flickrop_engine_SRCS flickr_engine.cpp)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_engine_flickrop ${flickrop_engine_SRCS})
target_link_libraries(plasma_engine_flickrop
                      ${PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_engine_flickrop
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-dataengine-flickrop.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
  MESSAGE( "NOTE: msgfmt not found. Translations will not be installed" )
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
  SET(catalogname flickrop)
  ADD_CUSTOM_TARGET(translations ALL)
  FILE(GLOB PO_FILES ${catalogname}*.po)
  FOREACH(_poFile ${PO_FILES})
    GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
    STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
    STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

    IF( _langCode )
      GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
      SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

      ADD_CUSTOM_COMMAND(TARGET translations
        COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
        DEPENDS ${_poFile})
      INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
    ENDIF( _langCode )

  ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
plasma-widget-flickr (0.7.1-0ubuntu4) maverick; urgency=low

  * Add a build-dep on cmake since kdelibs5-dev doesn't depend on it anymore
  * Remove build-depend on libqt4-dev caused by a BIC change in Qt during the
    last development cycle.
  * Switch to source format 3.0:
    - Bump debhelper build-depend version to 7.3.16 or greater
    - Bump pkg-kde-tools build-depend version to 0.5.0 or greater
  * Bump Standards-Version to 3.8.4, no changes required

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 00:34:42 -0400

plasma-widget-flickr (0.7.1-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:05 +0000

plasma-widget-flickr (0.7.1-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 Nov 2009 10:00:11 -0500

plasma-widget-flickr (0.7.1-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Transition from kde.mk to dh --with-kde:
    - debian/compat: Bump compat version to 7
    - debian/control: Bump debhelper depend version to 7
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Bump Standards-Version to 3.8.3
  * Update maintainer to be the Ubuntu Developers

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 20:55:05 -0500

plasma-widget-flickr (0.6.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #405039)
    - Bump kdelibs5-dev to 4.2.98

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Jul 2009 23:13:59 +0200

plasma-widget-flickr (0.5.2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Transition to kde.mk from pkg-kde-tools:
    - Include kde.mk and debhelper.mk in debian/rules
    - Bump debhelper build-dep in debian/control to 7
    - Bump compat to 7
  * Bump Standards-Version to 3.8.2, no changes necessary
  * Binary package depends on ${misc:Depends} for lintian happiness

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 19 Jun 2009 11:38:56 -0400

plasma-widget-flickr (0.5.1-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Drop plasmoid-flickr transitional package
  * Remove plasma-widget-flickr.install

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 23 May 2009 03:16:04 +0200

plasma-widget-flickr (0.5.1-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.1
  * Don't differentiate between KDE 4 and KDE in package description

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Apr 2009 19:42:32 -0400

plasma-widget-flickr (0.4.1-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #344201)
  * Fix multiline-field homepage to make lintian shut up
  * Remove unnecessary quilt build-dep

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 17 Mar 2009 08:45:53 -0400

plasma-widget-flickr (0.4-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Update Homepage in debian/control
  * Update copyright
  * Add transitional package for upgrades
  * Drop kubuntu_01_change_cmakelists_for_42.diff, fixed upstream

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 10 Feb 2009 09:26:39 -0500

plasmoid-flickr (0.3.1-0ubuntu3) jaunty; urgency=low

  * Rebuild against new libplasma-dev and bump version required to 4.2.0
    to avoid inadvertent builds against the old version on slow archs

 -- Scott Kitterman <scott@kitterman.com>  Mon, 26 Jan 2009 22:34:20 -0500

plasmoid-flickr (0.3.1-0ubuntu2) jaunty; urgency=low

  * Rebuild against new libplasma-dev

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 17 Jan 2009 21:07:05 -0500

plasmoid-flickr (0.3.1-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Rebuild for 4.2RC
    - added kubuntu_01_change_cmakelists_for_42.diff to fix building 
      with KDE 4.1.96

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 13 Jan 2009 13:29:48 -0500

plasmoid-flickr (0.1-0ubuntu2) jaunty; urgency=low

  * No change rebuild for libplasma3 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 18 Dec 2008 16:17:22 -0500

plasmoid-flickr (0.1-0ubuntu1) intrepid; urgency=low

  * Initial release. (LP: #253657)

 -- Jonathan Thomas (The man) <echidnaman@gmail.com>  Sun, 31 Jul 2008 10:40:12 -0500

=== debian/control ===
Source: plasma-widget-flickr
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake,
 kdelibs5-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-look.org/content/show.php/Flickr+On+Plasma?content=94800

Package: plasma-widget-flickr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Flickr Plasma widget for KDE
 A simple Plasma widget that shows a slideshow of the current images tagged as 
 "interesting" on lickr. Images cycle every two minutes.
